Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# ColorTableReferenceColor Class Reference

`#include <ColorTableReferenceColor.h>`

Inheritance diagram for ColorTableReferenceColor:

[legend]
Collaboration diagram for ColorTableReferenceColor:

[legend]
List of all members.

## Public Member Functions
| ColorTableReferenceColor ()
| Constructor.
| ~ColorTableReferenceColor ()
| Destructor.
virtual colorClass | getColorClass (const unsigned char y, const unsigned char u, const unsigned char v) const
| Calculates the color classes of a point in the yuv color space.
virtual void | generateColorClassImage (const Image &image, ColorClassImage &colorClassImage) const
| Segments an image to an color class image.
int | getAverageGreen (int channel) const
int | getGreenMin (int channel) const
int | getGreenMax (int channel) const
void | setGreenMin (int channel, int value)
void | setGreenMax (int channel, int value)
void | expandGreen (int greenMin[3], int greenMax[3])
void | clear ()
| Sets the color class of every 4x4x4 to noColor.
## Private Member Functions
void | setGreen ()
## Private Attributes
int | averageGreen [3]
int | greenMin [3]
int | greenMax [3]
bool | greenIsValid
int | setGreenCounter
int | skyblueAutoMin [3]
int | skyblueAutoMax [3]
int | yellowAutoMin [3]
int | yellowAutoMax [3]
int | orangeAutoMin [3]
int | orangeAutoMax [3]
int | pinkAutoMin [3]
int | pinkAutoMax [3]
int | redAutoMin [3]
int | redAutoMax [3]
int | whiteAutoMin [3]
int | whiteAutoMax [3]
int | whiteFixedMin [3]
int | whiteFixedMax [3]

## Detailed Description

Author:
  Matthias Jüngel

Definition at line 19 of file ColorTableReferenceColor.h.

## Constructor & Destructor Documentation

ColorTableReferenceColor::ColorTableReferenceColor | ( |  | ) |

| Constructor. Definition at line 13 of file ColorTableReferenceColor.cpp. References clear().

Here is the call graph for this function:

ColorTableReferenceColor::~ColorTableReferenceColor | ( |  | ) |

| Destructor. Definition at line 18 of file ColorTableReferenceColor.cpp.

## Member Function Documentation

colorClass ColorTableReferenceColor::getColorClass | ( | const unsigned char | y,
|  | const unsigned char | u,
|  | const unsigned char | v
| ) | const`[virtual]`

  | Calculates the color classes of a point in the yuv color space. Parameters:
  y | the y value of the pixel
  u | the u value of the pixel
  v | the v value of the pixel
Reimplemented from ColorTable. Definition at line 131 of file ColorTableReferenceColor.cpp. References noColor.

void ColorTableReferenceColor::generateColorClassImage | ( | const Image & | image,
|  | ColorClassImage & | colorClassImage
| ) | const`[virtual]`

  | Segments an image to an color class image. This doesn't need to used in the image processor, but is needed for visualisation of color tables. Parameters:
  image | A reference to the image to be segmented
  colorClassImage | A reference to the color class image to be created
Returns: A reference to the created color class image. Reimplemented from ColorTable. Definition at line 208 of file ColorTableReferenceColor.cpp.

int ColorTableReferenceColor::getAverageGreen | ( | int | channel | ) | const

| Definition at line 66 of file ColorTableReferenceColor.cpp. References averageGreen.

int ColorTableReferenceColor::getGreenMin | ( | int | channel | ) | const

| Definition at line 32 of file ColorTableReferenceColor.cpp. References greenMin. Referenced by operator<<().

int ColorTableReferenceColor::getGreenMax | ( | int | channel | ) | const

| Definition at line 37 of file ColorTableReferenceColor.cpp. References greenMax. Referenced by operator<<().

void ColorTableReferenceColor::setGreenMin | ( | int | channel,
|  | int | value
| ) |

| Definition at line 42 of file ColorTableReferenceColor.cpp. References greenMin, and setGreen(). Referenced by operator>>().

Here is the call graph for this function:

void ColorTableReferenceColor::setGreenMax | ( | int | channel,
|  | int | value
| ) |

| Definition at line 48 of file ColorTableReferenceColor.cpp. References greenMax, and setGreen(). Referenced by operator>>().

Here is the call graph for this function:

void ColorTableReferenceColor::expandGreen | ( | int | greenMin[3],
|  | int | greenMax[3]
| ) |

| Definition at line 54 of file ColorTableReferenceColor.cpp. References setGreen().

Here is the call graph for this function:

void ColorTableReferenceColor::clear | ( |  | ) | `[virtual]`

| Sets the color class of every 4x4x4 to noColor. Reimplemented from ColorTable. Definition at line 22 of file ColorTableReferenceColor.cpp. References greenIsValid, greenMax, greenMin, setGreen(), and setGreenCounter. Referenced by ColorTableReferenceColor().

Here is the call graph for this function:

void ColorTableReferenceColor::setGreen | ( |  | ) | `[private]`

| Definition at line 71 of file ColorTableReferenceColor.cpp. References averageGreen, greenIsValid, greenMax, greenMin, min, orangeAutoMax, orangeAutoMin, pinkAutoMin, setGreenCounter, skyblueAutoMax, skyblueAutoMin, whiteAutoMax, whiteAutoMin, whiteFixedMax, whiteFixedMin, yellowAutoMax, and yellowAutoMin. Referenced by clear(), expandGreen(), setGreenMax(), and setGreenMin().

## Member Data Documentation

int ColorTableReferenceColor::averageGreen[3]`[private]`

| Definition at line 69 of file ColorTableReferenceColor.h. Referenced by getAverageGreen(), and setGreen().

int ColorTableReferenceColor::greenMin[3]`[private]`

| Definition at line 70 of file ColorTableReferenceColor.h. Referenced by clear(), getGreenMin(), setGreen(), and setGreenMin().

int ColorTableReferenceColor::greenMax[3]`[private]`

| Definition at line 71 of file ColorTableReferenceColor.h. Referenced by clear(), getGreenMax(), setGreen(), and setGreenMax().

bool ColorTableReferenceColor::greenIsValid`[private]`

| Definition at line 73 of file ColorTableReferenceColor.h. Referenced by clear(), and setGreen().

int ColorTableReferenceColor::setGreenCounter`[private]`

| Definition at line 74 of file ColorTableReferenceColor.h. Referenced by clear(), and setGreen().

int ColorTableReferenceColor::skyblueAutoMin[3]`[private]`

| Definition at line 76 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::skyblueAutoMax[3]`[private]`

| Definition at line 77 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::yellowAutoMin[3]`[private]`

| Definition at line 79 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::yellowAutoMax[3]`[private]`

| Definition at line 80 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::orangeAutoMin[3]`[private]`

| Definition at line 82 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::orangeAutoMax[3]`[private]`

| Definition at line 83 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::pinkAutoMin[3]`[private]`

| Definition at line 85 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::pinkAutoMax[3]`[private]`

| Definition at line 86 of file ColorTableReferenceColor.h.

int ColorTableReferenceColor::redAutoMin[3]`[private]`

| Definition at line 88 of file ColorTableReferenceColor.h.

int ColorTableReferenceColor::redAutoMax[3]`[private]`

| Definition at line 89 of file ColorTableReferenceColor.h.

int ColorTableReferenceColor::whiteAutoMin[3]`[private]`

| Definition at line 91 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::whiteAutoMax[3]`[private]`

| Definition at line 92 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::whiteFixedMin[3]`[private]`

| Definition at line 94 of file ColorTableReferenceColor.h. Referenced by setGreen().

int ColorTableReferenceColor::whiteFixedMax[3]`[private]`

| Definition at line 95 of file ColorTableReferenceColor.h. Referenced by setGreen().

The documentation for this class was generated from the following files:

- Modules/ImageProcessor/ImageProcessorTools/ColorTableReferenceColor.h
- Modules/ImageProcessor/ImageProcessorTools/ColorTableReferenceColor.cpp